Promote
Force cancel rolling deployment
Immediately cancels an in-progress rolling promotion and triggers rollback to the previous version.
POST
/
v1
/
models
/
{model_id}
/
environments
/
{env_name}
/
force_cancel_promotion
cURL
curl --request POST \
--url https://api.baseten.co/v1/models/{model_id}/environments/{env_name}/force_cancel_promotion \
--header "Authorization: Bearer $BASETEN_API_KEY"
import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/models/{model_id}/environments/{env_name}/force_cancel_promotion"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"POST",
url,
headers=headers,
json={}
)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.baseten.co/v1/models/{model_id}/environments/{env_name}/force_cancel_promotion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Authorizations
Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.
Response
200 - application/json
The response to a request to signal a rolling promotion.
Whether the signal was successfully sent
Was this page helpful?
Previous
Force roll forward promotionImmediately completes the rolling promotion, shifting all traffic to the new version. This works even if the promotion is in the process of rolling back.
Next
⌘I
cURL
